package de.intevation.flys.jfree;

import java.io.Serializable;

import org.jfree.chart.axis.ValueAxis;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface Bounds extends Serializable {

    Number getLower();

    Number getUpper();

    void applyBounds(ValueAxis axis);

    void applyBounds(ValueAxis axis, int percent);

    Bounds combine(Bounds bounds);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
